# SoTriggerAny Class Reference
[Engine classes]

`#include <Inventor/engines/SoTriggerAny.h>`

Inheritance diagram for SoTriggerAny:

List of all members.

## Detailed Description

The SoTriggerAny class is a fan-in engine for triggers.

When any one of the input triggers are "pulsed", any field connected as a slave to the engine output will be notified.

## Public Member Functions

| SoTriggerAny (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFTrigger | input0
SoSFTrigger | input1
SoSFTrigger | input2
SoSFTrigger | input3
SoSFTrigger | input4
SoSFTrigger | input5
SoSFTrigger | input6
SoSFTrigger | input7
SoSFTrigger | input8
SoSFTrigger | input9
SoEngineOutput | output

## Protected Member Functions

| ~SoTriggerAny ()

## Constructor & Destructor Documentation

SoTriggerAny::SoTriggerAny | ( | void |  | ) |

| Default constructor.

SoTriggerAny::~SoTriggerAny | ( |  | ) | `[protected]`

| Destructor is protected because explicit destruction of engines is not allowed.

## Member Function Documentation

void SoTriggerAny::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

## Member Data Documentation

SoSFTrigger SoTriggerAny::input0

| Input trigger.

SoSFTrigger SoTriggerAny::input1

| Input trigger.

SoSFTrigger SoTriggerAny::input2

| Input trigger.

SoSFTrigger SoTriggerAny::input3

| Input trigger.

SoSFTrigger SoTriggerAny::input4

| Input trigger.

SoSFTrigger SoTriggerAny::input5

| Input trigger.

SoSFTrigger SoTriggerAny::input6

| Input trigger.

SoSFTrigger SoTriggerAny::input7

| Input trigger.

SoSFTrigger SoTriggerAny::input8

| Input trigger.

SoSFTrigger SoTriggerAny::input9

| Input trigger.

SoEngineOutput SoTriggerAny::output

| (SoSFTrigger) Connect to the output with the field(s) you want notified upon any input trigger "pulses".

The documentation for this class was generated from the following files:

- SoTriggerAny.h
- SoTriggerAny.cpp